## List Setup Intents

### cURL

```
curl --request GET \
  --url https://api.withflex.com/v1/setup_intents \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/setup_intents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/setup_intents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/setup_intents",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/setup_intents"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/setup_intents")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/setup_intents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Status Codes

- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Response Example

```
{
  "setup_intents": [
    {
      "setup_intent_id": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "description": "Premium SPF 50 mineral sunscreen",
      "payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false,
      "status": "requires_payment_method",
      "usage": "off_session",
      "subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
    }
  ]
}
```

### Error Response Example

```
{
  "code": "string",
  "detail": "string"
}
```

### Inquiry Parameters

- **limit**: integer<int32> | null  
  A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.  
  Example: `10`

- **offset**: integer<int32> | null  
  Number of objects to skip before returning results.  
  Example: `3`

- **customer**: string | null  
  Filter by customer ID.  
  Example: `"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

- **starting_after**: string | null  
  A cursor for use in pagination. `starting_after` is a setup intent ID that defines your place in the list. For instance, if you make a list request and receive 20 setup intents, ending with `fsi_xyz`, your subsequent call can include `starting_after=fsi_xyz` to fetch the next page.  
  Example: `"fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

- **ending_before**: string | null  
  A cursor for use in pagination. `ending_before` is a setup intent ID that defines your place in the list. For instance, if you make a list request and receive 20 setup intents, starting with `fsi_abc`, your subsequent call can include `ending_before=fsi_abc` to fetch the previous page.  
  Example: `"fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

- **expand**: string  
  default:""  
  Comma-separated list of fields to expand (e.g., "subscription").  
  Example: `""`

### Response

#### 200

application/json

An envelope wrapping a list of setup intent objects.
### setup_intents
   
object[] required

A list of SetupIntents.
